Download OpenAPI specification:Download
Returns a paginated list of contacts
| query | string Search across contact names, emails, and phone numbers |
| page_token | string Opaque token for cursor-based pagination |
| created_since | string <date-time> Filter results created on or after this time (ISO-8601 timestamp) |
| updated_since | string <date-time> Filter results updated on or after this time (ISO-8601 timestamp) |
| ids[] | Array of integers <int64> [ 1 .. 50 ] items [ items <int64 > ] Filter by resource IDs (max 50) |
| include | string Example: include=custom_field_values Comma-separated list of related resources to expand in the response. Omitted resources are absent from the payload rather than null. Unrecognised values are ignored. Currently the only supported value is |
{- "data": [
- {
- "id": 123,
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": 456,
- "name": "John Doe",
- "first_name": "John",
- "last_name": "Doe",
- "emails": [
- "john@example.com"
], - "phone_numbers": [
- "+15551234567"
], - "type": "Person",
- "status": "Hired",
- "matters": [
- {
- "id": 0
}
], - "addresses": [
- {
- "street": "123 Main St",
- "city": "San Francisco",
- "province": "CA",
- "postal_code": "94102",
- "country": "USA"
}
], - "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z",
- "custom_field_values": [
- {
- "id": 123,
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": "text_line-4567",
- "field_name": "Defence Insurance",
- "field_type": "text_line",
- "value": "abc insurance",
- "raw_value": "abc insurance",
- "custom_field": {
- "id": 91,
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": 4567,
- "name": "Defence Insurance",
- "field_type": "text_line",
- "parent_type": "Matter",
- "displayed": true,
- "deleted": false,
- "picklist_options": [
- {
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": 1111,
- "option": "blue"
}
], - "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}, - "picklist_option": {
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": 1111,
- "option": "blue"
}, - "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
]
}
], - "meta": {
- "paging": {
}
}
}Returns a single contact by ID
| id required | integer <int64> The unique identifier for the Contact |
| include | string Example: include=custom_field_values Comma-separated list of related resources to expand in the response. Omitted resources are absent from the payload rather than null. Unrecognised values are ignored. Currently the only supported value is |
{- "data": {
- "id": 123,
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": 456,
- "name": "John Doe",
- "first_name": "John",
- "last_name": "Doe",
- "emails": [
- "john@example.com"
], - "phone_numbers": [
- "+15551234567"
], - "type": "Person",
- "status": "Hired",
- "matters": [
- {
- "id": 0
}
], - "addresses": [
- {
- "street": "123 Main St",
- "city": "San Francisco",
- "province": "CA",
- "postal_code": "94102",
- "country": "USA"
}
], - "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z",
- "custom_field_values": [
- {
- "id": 123,
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": "text_line-4567",
- "field_name": "Defence Insurance",
- "field_type": "text_line",
- "value": "abc insurance",
- "raw_value": "abc insurance",
- "custom_field": {
- "id": 91,
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": 4567,
- "name": "Defence Insurance",
- "field_type": "text_line",
- "parent_type": "Matter",
- "displayed": true,
- "deleted": false,
- "picklist_options": [
- {
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": 1111,
- "option": "blue"
}
], - "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}, - "picklist_option": {
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": 1111,
- "option": "blue"
}, - "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
]
}
}Returns a paginated list of notes for a contact
| contact_id required | integer <int64> The unique identifier for the Contact |
| page_token | string Opaque token for cursor-based pagination |
| created_since | string <date-time> Filter results created on or after this time (ISO-8601 timestamp) |
| updated_since | string <date-time> Filter results updated on or after this time (ISO-8601 timestamp) |
| ids[] | Array of integers <int64> [ 1 .. 50 ] items [ items <int64 > ] Filter by resource IDs (max 50) |
{- "data": [
- {
- "id": 123,
- "subject": "API request",
- "body": "Making a matter note from the API",
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
], - "meta": {
- "paging": {
}
}
}Creates a new note for a contact
| contact_id required | integer <int64> The unique identifier for the Contact |
required | object | ||||
| |||||
{- "data": {
- "subject": "Follow-up call",
- "body": "Discussed project timeline and next steps."
}
}{- "data": {
- "id": 123,
- "subject": "API request",
- "body": "Making a matter note from the API",
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
}Custom Actions are a mechanism to add a link to certain dropdowns in the Clio Grow user interface. When this link is clicked by a Grow user, a new tab opens in their browser and they are sent to the URL provided during that Custom Action's creation. Clio will attach contextual parameters to the URL to enable the integration that created the custom action to call the API afterward.
Because custom actions require an unauthorized GET request made from a user's browser, it's important to validate that a user has actually performed an action within Clio.
When a request is sent to the URL specified on the custom action, Clio includes a unique custom_action_nonce
parameter. If you send the custom_action_nonce in your next request to the API as a query parameter,
Clio will use it to validate that the user who clicked the custom action matches your oauth token request.
If the nonce does not match, a 403 Forbidden error will be returned.
The nonce value is a single-use code and has an expiry of 60 seconds.
Returns a paginated list of custom actions
| page_token | string Opaque token for cursor-based pagination |
| created_since | string <date-time> Filter custom actions created on or after this time (ISO-8601 timestamp) |
| updated_since | string <date-time> Filter custom actions updated on or after this time (ISO-8601 timestamp) |
| ids[] | Array of integers <int64> <= 50 items [ items <int64 > ] Filter by custom action IDs (max 50) |
{- "data": [
- {
- "id": 123,
- "label": "Send Email",
- "ui_reference": "matters/show",
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
], - "meta": {
- "paging": {
}
}
}Creates a new custom action
required | object | ||||||
| |||||||
{- "data": {
- "label": "Send Email",
- "ui_reference": "matters/show"
}
}{- "data": {
- "id": 123,
- "label": "Send Email",
- "ui_reference": "matters/show",
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
}Returns a paginated list of inbox leads filtered by state
| state required | string Enum: "untriaged" "ignored" Filter leads by state |
| query | string Search string for filtering leads |
| page_token | string Opaque token for cursor-based pagination |
| created_since | string <date-time> Filter results created on or after this time (ISO-8601 timestamp) |
| updated_since | string <date-time> Filter results updated on or after this time (ISO-8601 timestamp) |
| ids[] | Array of integers <int64> [ 1 .. 50 ] items [ items <int64 > ] Filter by resource IDs (max 50) |
{- "data": [
- {
- "id": 123,
- "first_name": "Jane",
- "last_name": "Smith",
- "email": "jane@example.com",
- "phone_number": "+15551234567",
- "state": "untriaged",
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z",
- "marketing_source": {
- "id": 42,
- "name": "Google Ads"
}, - "matter_type": {
- "id": 17,
- "name": "Family Law"
}, - "matter_location": {
- "id": 23,
- "name": "Austin Office"
}
}
], - "meta": {
- "paging": {
}
}
}Creates a new inbox lead
required | object | ||||||||||||||||||||
| |||||||||||||||||||||
{- "data": {
- "first_name": "Jane",
- "last_name": "Smith",
- "from_message": "I'm interested in your services",
- "from_source": "website_chat",
- "email": "jane@example.com",
- "phone_number": "+15551234567",
- "marketing_source": {
- "id": 42
}, - "matter_type": {
- "id": 17
}, - "matter_location": {
- "id": 23
}
}
}{- "data": {
- "id": 123,
- "first_name": "Jane",
- "last_name": "Smith",
- "email": "jane@example.com",
- "phone_number": "+15551234567",
- "state": "untriaged",
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z",
- "marketing_source": {
- "id": 42,
- "name": "Google Ads"
}, - "from_message": "I'm interested in your services",
- "from_source": "website_chat",
- "matter_type": {
- "id": 17,
- "name": "Family Law"
}, - "matter_location": {
- "id": 23,
- "name": "Austin Office"
}
}
}Returns a single inbox lead by ID
| id required | integer <int64> The unique identifier for the Inbox Lead |
{- "data": {
- "id": 123,
- "first_name": "Jane",
- "last_name": "Smith",
- "email": "jane@example.com",
- "phone_number": "+15551234567",
- "state": "untriaged",
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z",
- "marketing_source": {
- "id": 42,
- "name": "Google Ads"
}, - "matter_type": {
- "id": 17,
- "name": "Family Law"
}, - "matter_location": {
- "id": 23,
- "name": "Austin Office"
}
}
}Returns a paginated list of the account's locations
| page_token | string Opaque token for cursor-based pagination |
| created_since | string <date-time> Filter results created on or after this time (ISO-8601 timestamp) |
| updated_since | string <date-time> Filter results updated on or after this time (ISO-8601 timestamp) |
| ids[] | Array of integers <int64> [ 1 .. 50 ] items [ items <int64 > ] Filter by resource IDs (max 50) |
{- "data": [
- {
- "id": 42,
- "name": "Austin Office",
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
], - "meta": {
- "paging": {
}
}
}Creates a new location for the account
required | object | ||
| |||
{- "data": {
- "name": "Austin Office"
}
}{- "data": {
- "id": 42,
- "name": "Austin Office",
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
}Returns a single location by ID
| id required | integer <int64> The unique identifier for the Location |
{- "data": {
- "id": 42,
- "name": "Austin Office",
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
}Returns a paginated list of the account's matter types
| page_token | string Opaque token for cursor-based pagination |
| created_since | string <date-time> Filter results created on or after this time (ISO-8601 timestamp) |
| updated_since | string <date-time> Filter results updated on or after this time (ISO-8601 timestamp) |
| ids[] | Array of integers <int64> [ 1 .. 50 ] items [ items <int64 > ] Filter by resource IDs (max 50) |
{- "data": [
- {
- "id": 42,
- "name": "Family Law",
- "default": false,
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
], - "meta": {
- "paging": {
}
}
}Creates a new matter type for the account
required | object | ||
| |||
{- "data": {
- "name": "Family Law"
}
}{- "data": {
- "id": 42,
- "name": "Family Law",
- "default": false,
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
}Returns a single matter type by ID
| id required | integer <int64> The unique identifier for the Matter Type |
{- "data": {
- "id": 42,
- "name": "Family Law",
- "default": false,
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
}Returns a paginated list of matters
| page_token | string Opaque token for cursor-based pagination |
| created_since | string <date-time> Filter results created on or after this time (ISO-8601 timestamp) |
| updated_since | string <date-time> Filter results updated on or after this time (ISO-8601 timestamp) |
| ids[] | Array of integers <int64> [ 1 .. 50 ] items [ items <int64 > ] Filter by resource IDs (max 50) |
| include | string Example: include=custom_field_values Comma-separated list of related resources to expand in the response. Omitted resources are absent from the payload rather than null. Unrecognised values are ignored. Currently the only supported value is |
| inbox_lead_id | integer <int64> Filter matters by inbox lead ID |
| submitted_only | boolean Filter to only matters submitted by the current application |
{- "data": [
- {
- "id": 789,
- "description": "Personal injury case",
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z",
- "clio_id": 456,
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "inbox_lead_id": 321,
- "hired_date": "2024-04-01",
- "is_locked": true,
- "location": "Main Office",
- "type": "Personal Injury",
- "status": "Open",
- "status_category": "intake",
- "client": {
- "id": 123,
- "full_name": "Jane Doe",
- "phone_number": "+15551234567",
- "primary_email": "jane@example.com",
- "address": {
- "street": "123 Main St",
- "city": "San Francisco",
- "province": "CA",
- "postal_code": "94102",
- "country": "USA"
}
}, - "primary_contact": {
- "id": 123,
- "full_name": "Jane Doe",
- "phone_number": "+15551234567",
- "primary_email": "jane@example.com",
- "address": {
- "street": "123 Main St",
- "city": "San Francisco",
- "province": "CA",
- "postal_code": "94102",
- "country": "USA"
}
}, - "matter_assignee_ids": [
- 123456,
- 789012
], - "custom_field_values": [
- {
- "id": 123,
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": "text_line-4567",
- "field_name": "Defence Insurance",
- "field_type": "text_line",
- "value": "abc insurance",
- "raw_value": "abc insurance",
- "custom_field": {
- "id": 91,
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": 4567,
- "name": "Defence Insurance",
- "field_type": "text_line",
- "parent_type": "Matter",
- "displayed": true,
- "deleted": false,
- "picklist_options": [
- {
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": 1111,
- "option": "blue"
}
], - "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}, - "picklist_option": {
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": 1111,
- "option": "blue"
}, - "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
]
}
], - "meta": {
- "paging": {
}
}
}Returns a single matter by ID
| id required | integer <int64> The unique identifier for the Matter |
| include | string Example: include=custom_field_values Comma-separated list of related resources to expand in the response. Omitted resources are absent from the payload rather than null. Unrecognised values are ignored. Currently the only supported value is |
{- "data": {
- "id": 789,
- "description": "Personal injury case",
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z",
- "clio_id": 456,
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "inbox_lead_id": 321,
- "hired_date": "2024-04-01",
- "is_locked": true,
- "location": "Main Office",
- "type": "Personal Injury",
- "status": "Open",
- "status_category": "intake",
- "client": {
- "id": 123,
- "full_name": "Jane Doe",
- "phone_number": "+15551234567",
- "primary_email": "jane@example.com",
- "address": {
- "street": "123 Main St",
- "city": "San Francisco",
- "province": "CA",
- "postal_code": "94102",
- "country": "USA"
}
}, - "primary_contact": {
- "id": 123,
- "full_name": "Jane Doe",
- "phone_number": "+15551234567",
- "primary_email": "jane@example.com",
- "address": {
- "street": "123 Main St",
- "city": "San Francisco",
- "province": "CA",
- "postal_code": "94102",
- "country": "USA"
}
}, - "matter_assignee_ids": [
- 123456,
- 789012
], - "custom_field_values": [
- {
- "id": 123,
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": "text_line-4567",
- "field_name": "Defence Insurance",
- "field_type": "text_line",
- "value": "abc insurance",
- "raw_value": "abc insurance",
- "custom_field": {
- "id": 91,
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": 4567,
- "name": "Defence Insurance",
- "field_type": "text_line",
- "parent_type": "Matter",
- "displayed": true,
- "deleted": false,
- "picklist_options": [
- {
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": 1111,
- "option": "blue"
}
], - "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}, - "picklist_option": {
- "global_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
- "clio_id": 1111,
- "option": "blue"
}, - "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
]
}
}Returns a paginated list of notes for a matter
| matter_id required | integer <int64> The unique identifier for the Matter |
| page_token | string Opaque token for cursor-based pagination |
| created_since | string <date-time> Filter results created on or after this time (ISO-8601 timestamp) |
| updated_since | string <date-time> Filter results updated on or after this time (ISO-8601 timestamp) |
| ids[] | Array of integers <int64> [ 1 .. 50 ] items [ items <int64 > ] Filter by resource IDs (max 50) |
{- "data": [
- {
- "id": 123,
- "subject": "API request",
- "body": "Making a matter note from the API",
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
], - "meta": {
- "paging": {
}
}
}Creates a new note for a matter
| matter_id required | integer <int64> The unique identifier for the Matter |
required | object | ||||
| |||||
{- "data": {
- "subject": "API request",
- "body": "Making a matter note from the API"
}
}{- "data": {
- "id": 123,
- "subject": "API request",
- "body": "Making a matter note from the API",
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
}Returns a paginated list of the account's lead sources
| page_token | string Opaque token for cursor-based pagination |
| created_since | string <date-time> Filter results created on or after this time (ISO-8601 timestamp) |
| updated_since | string <date-time> Filter results updated on or after this time (ISO-8601 timestamp) |
| ids[] | Array of integers <int64> [ 1 .. 50 ] items [ items <int64 > ] Filter by resource IDs (max 50) |
{- "data": [
- {
- "id": 42,
- "name": "Grow",
- "category": "standard",
- "is_editable": true,
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
], - "meta": {
- "paging": {
}
}
}Creates a new lead source for the account
required | object | ||
| |||
{- "data": {
- "name": "Grow"
}
}{- "data": {
- "id": 42,
- "name": "Grow",
- "category": "standard",
- "is_editable": true,
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z"
}
}Returns a paginated list of users in the current account
| page_token | string Opaque token for cursor-based pagination |
| created_since | string <date-time> Filter results created on or after this time (ISO-8601 timestamp) |
| updated_since | string <date-time> Filter results updated on or after this time (ISO-8601 timestamp) |
| ids[] | Array of integers <int64> [ 1 .. 50 ] items [ items <int64 > ] Filter by resource IDs (max 50) |
{- "data": [
- {
- "id": 123,
- "first_name": "Jane",
- "last_name": "Doe",
- "email": "jane.doe@example.com",
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z",
- "account": {
- "id": 456,
- "firm_name": "Doe & Associates"
}
}
], - "meta": {
- "paging": {
}
}
}{- "data": {
- "id": 123,
- "first_name": "Jane",
- "last_name": "Doe",
- "email": "jane.doe@example.com",
- "created_at": "2024-01-15T10:30:00Z",
- "updated_at": "2024-02-20T14:45:00Z",
- "account": {
- "id": 456,
- "firm_name": "Doe & Associates"
}
}
}